Playlist not rendering properly in e16

March 11, 2012 22:14 - Topher 1kenobe

Status: Closed Start date: March 11, 2012

Priority: Major Due date:  

Assignee:  % Done: 0%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.2.1   

Affects version: 3.2.1   

Description

I'm running Enlightenment 0.16, and ever since Audacious 3.0 my Playlist window hasn't rendered properly.  It doesn't really render it

all, it copies the desktop background behind it, and renders that, like a transparent terminal might.

I have a screenshot here: http://derosia.com/wallpapers/topher_desktop_20120311170941.jpg  When I first open it I can't see it at all,

since it perfectly mirrors the desktop.  I've dragged it around and you can see it because it's smeared the background.

It's also VERY tall.  I've dragged it up a dozen screen heights or so, and haven't gotten to the bottom.

I'm running Arch Linux 64bit.

History

#1 - March 11, 2012 23:29 - John Lindgren

I don't have Enlightenment, can you reproduce with a different window manager?

#2 - March 12, 2012 00:58 - Topher 1kenobe

John Lindgren wrote:

I don't have Enlightenment, can you reproduce with a different window manager?

 

I just tried it in Fluxbox and got the exact same result.  I did notice this in the terminal though:

Failed to load plugin (/usr/lib/audacious/Input/sid.so): libsidplay.so.1: cannot open shared object file: No s

uch file or directory

Failed to load plugin (/usr/lib/audacious/Container/cue.so): libcue.so.1: cannot open shared object file: No s

uch file or directory

 

Would that have anything to do with it?
#3 - March 12, 2012 14:54 - John Lindgren

- Assignee deleted (Topher 1kenobe)

- Category changed from 80 to plugins/skins

Topher 1kenobe wrote:

Would that have anything to do with it?

 

No.

On a hunch, please look in ~/.config/audacious/config, in the [skins] section, and check the value of playlist_height.

#4 - March 12, 2012 15:17 - Topher 1kenobe

John Lindgren wrote:

Topher 1kenobe wrote:

Would that have anything to do with it?

 

No.

On a hunch, please look in ~/.config/audacious/config, in the [skins] section, and check the value of playlist_height.

 

heh, it was 44080.  I set it to be 400 in the file, but when I restarted Audacious it reset the value to be 44080.

#5 - March 12, 2012 19:36 - John Lindgren

Topher 1kenobe wrote:

heh, it was 44080.  I set it to be 400 in the file, but when I restarted Audacious it reset the value to be 44080.

 

Did you make sure that Audacious was not running before you changed the file?
#6 - March 12, 2012 20:30 - Topher 1kenobe

John Lindgren wrote:

Topher 1kenobe wrote:

heh, it was 44080.  I set it to be 400 in the file, but when I restarted Audacious it reset the value to be 44080.

 

Did you make sure that Audacious was not running before you changed the file?

 

I thought I had, but apparently not.  Closing out for sure and changing the size appears to have fixed all issues.  How odd.

Thanks for the help.  Do I mark this closed, or someone with more privs?

#7 - March 12, 2012 23:59 - John Lindgren

Let's leave the report open for a while in case the problem shows up again.

#8 - March 29, 2012 22:39 - John Lindgren

- Status changed from New to Closed
